<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the "off-canvas-wrap" div and all content after.
 *
 * @package arcHIVE-theme
 * @since arcHIVE-theme 1.0.0
 */
?>


  <footer class="">
    <section class="subsection">
      <aside class="site-brand archive">
       <a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home" class="">
         <h1 class="site-name">
            <?php bloginfo( 'name' ); ?>
         </h1>
         <h2 class="site-description">
            <?php bloginfo( 'description' ); ?>
         </h2>
       </a>
      </aside>
      <aside class="double newsletter">
        <p> Subscribe to our <br/>
        <span class="h4"><a href="https://arc-hive.zone/newsletter/">newsletter</a></span>
        </p>
      </aside>
      <aside class="newsletter">
        <p> Follow us on  <br/>
        <span class="h4"><a href="https://www.facebook.com/arc.hive.platform/">facebook</a></span>
        &nbsp;-&nbsp;
        <span class="h4"><a href="https://www.instagram.com/arc.hive.zone/">instagram</a></span>
        </p>
      </aside>
    </section>
    <section class="subsection">
      <aside class="contact">
        <p><a href="mailto:info@arc-hive.zone">info@arc-hive.zone</a></p>
        <p class="h5"><a href="https://arc-hive.zone/contact/">CONTACT</a></p>
      </aside>
      <aside class="double partners">
        <p>ARC-HIVE partners are:</p>
        <ul>
          <li class="h5"> <a href="https://bioartsociety.fi/">Bioart Society</a></li>
          <li class="h5"> <a href="https://cultivamoscultura.com/">Cultivamos Cultura</a></li>
          <li class="h5"> <a href="https://hangar.org/">Hangar</a></li>
          <li class="clear clearfix"></li>
          <li class="h5"> <a href="https://kersnikova.org/">Kersnikova</a></li>
          <li class="h5"> <a href="https://www.kontejner.org/">Kontejner</a></li>
          <li class="h5"> <a href="https://www.naturalsciences.be/">RBINS</a></li>
        </ul>
      </aside>
      <aside class="co-founded">
       <a href="#" class="brand-logo eu">
         <h1 class="site-name">Co-Funded bye the Creative Europe Programme of the European Union</h1>
       </a>
      </aside>
    </section>
    <section class="subsection">
      <aside class="copyright">
          Hosted, maintained and coded by <a href="https://hangar.org">Hangar</a>
      </aside>
      <aside class="double">
		    <?php dynamic_sidebar( 'footer-widgets' ); ?>
      </aside>
      <aside class="legal-credits">
          Visual identity by <a href="http://oficinadedisseny.net/">Oficina de disseny</a>
      </aside>
    </section>
  </footer>

<?php wp_footer(); ?>
</body>
</html>
