<?php
/**
 * Register widget areas
 *
 * @package arcHIVE-theme
 * @since arcHIVE-theme 1.0.0
 */

if ( ! function_exists( 'arcHIVE_sidebar_widgets' ) ) :
	function arcHIVE_sidebar_widgets() {
	 register_sidebar(
			array(
				'id'            => 'home-announcement-widgets-top-primary',
				'name'          => __( 'Home Announcement Top Primary area', 'foundationpress' ),
				'description'   => __( 'Drag widgets to this Home page container that will show at the top of the home page.', 'foundationpress' ),
				'before_sidebar'=> '<main class="slides top primary">',
				'after_sidebar' => '</main>',
				'before_widget' => '<section id="%1$s" class="widget slide home-announcement %2$s">',
				'after_widget'  => '</section>',
				'before_title'  => '<h6>',
				'after_title'   => '</h6>',
			)
		);
	 register_sidebar(
			array(
				'id'            => 'home-announcement-widgets-top-secondary',
				'name'          => __( 'Home Announcement Top Secondary area', 'foundationpress' ),
				'description'   => __( 'Drag widgets to this Home page container that will show at the top of the home page on the secondary area.', 'foundationpress' ),
				'before_sidebar'=> '<main class="slides top secondary">',
				'after_sidebar' => '</main>',
				'before_widget' => '<section id="%1$s" class="widget home-announcement %2$s">',
				'after_widget'  => '</section>',
				'before_title'  => '<h6>',
				'after_title'   => '</h6>',
			)
		);
	 register_sidebar(
			array(
				'id'            => 'home-announcement-middle-widgets',
				'name'          => __( 'Home Announcement Middle', 'foundationpress' ),
				'description'   => __( 'Drag widgets to this Home page container that will show in the middle of the home page.', 'foundationpress' ),
				'before_sidebar'=> '<main class="slides middle">',
				'after_sidebar' => '</main>',
				'before_widget' => '<section id="%1$s" class="widget slide home-middle-announcement %2$s">',
				'after_widget'  => '</section>',
				'before_title'  => '<h6>',
				'after_title'   => '</h6>',
			)
		);
	 register_sidebar(
			array(
				'id'            => 'home-announcement-bottom-widgets',
				'name'          => __( 'Home Announcement Bottom', 'foundationpress' ),
				'description'   => __( 'Drag widgets to this Home page container that will show at the bottom of the home page.', 'foundationpress' ),
				'before_sidebar'=> '<main class="slides bottom">',
				'after_sidebar' => '</main>',
				'before_widget' => '<section id="%1$s" class="widget slide home-bottom-announcement %2$s">',
				'after_widget'  => '</section>',
				'before_title'  => '<h6>',
				'after_title'   => '</h6>',
			)
		);
		register_sidebar(
			array(
				'id'            => 'announcement-widgets',
				'name'          => __( 'Announcement', 'foundationpress' ),
				'description'   => __( 'Drag widgets to this announcement container.', 'foundationpress' ),
				'before_sidebar'=> '<main class="slides announcement">',
				'after_sidebar' => '</main>',
				'before_widget' => '<section id="%1$s" class="widget slide %2$s">',
				'after_widget'  => '</section>',
				'before_title'  => '<h6>',
				'after_title'   => '</h6>',
			)
		);
		register_sidebar(
			array(
				'id'            => 'announcement-resources-top-widgets',
				'name'          => __( 'Resources Announcement top', 'foundationpress' ),
				'description'   => __( 'Drag widgets to this announcement container to be displayed in Resources primary area.', 'foundationpress' ),
				'before_sidebar'=> '<main class="slides announcement top">',
				'after_sidebar' => '</main>',
				'before_widget' => '<section id="%1$s" class="widget slide top %2$s">',
				'after_widget'  => '</section>',
				'before_title'  => '<h6>',
				'after_title'   => '</h6>',
			)
		);
		register_sidebar(
			array(
				'id'            => 'announcement-resources-middle-widgets',
				'name'          => __( 'Resources Announcement middle', 'foundationpress' ),
				'description'   => __( 'Drag widgets to this announcement container to be displayed in Resources secondary area.', 'foundationpress' ),
				'before_sidebar'=> '<main class="slides announcement middle">',
				'after_sidebar' => '</main>',
				'before_widget' => '<section id="%1$s" class="widget slide middle %2$s">',
				'after_widget'  => '</section>',
				'before_title'  => '<h6>',
				'after_title'   => '</h6>',
			)
		);

		register_sidebar(
			array(
				'id'            => 'footer-widgets',
				'name'          => __( 'Footer widgets', 'foundationpress' ),
				'description'   => __( 'Drag widgets to this footer container. They will show at the very bottom.', 'foundationpress' ),
				'before_widget' => '<section id="%1$s" class="widget %2$s">',
				'after_widget'  => '</section>',
				'before_title'  => '<h6>',
				'after_title'   => '</h6>',
			)
		);
	}

	add_action( 'widgets_init', 'arcHIVE_sidebar_widgets' );
endif;
