<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * e.g., it puts together the home page when no home.php file exists.
 *
 * Learn more: {@link https://codex.wordpress.org/Template_Hierarchy}
 *
 * @package arcHIVE-theme
 * @since arcHIVE-theme 1.0.0
 */

get_header(); ?>

  <article>
    <main>
		<?php if ( have_posts() ) : ?>

			<?php /* Start the Loop */ ?>
			<?php while ( have_posts() ) : the_post(); ?>
				<?php //get_template_part( 'template-parts/content', get_post_format() ); ?>

        <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
          <header>
        	<?php
            //https://developer.wordpress.org/reference/functions/permalink_anchor/
            if ( is_single() ) {
              permalink_anchor();
        			the_title( '<h1 class="entry-title">', '</h1>' );
        		} else {
              permalink_anchor();
        			the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
        		}
        	?>
        		<?php //foundationpress_entry_meta(); ?>
        	</header>
        	<div class="entry-content">
        		<?php the_content(); ?>
        		<?php edit_post_link( __( '(Edit)', 'foundationpress' ), '<span class="edit-link">', '</span>' ); ?>
        	</div>
        </article>


			<?php endwhile; ?>

			<?php else : ?>
				<?php get_template_part( 'template-parts/content', 'none' ); ?>

			<?php endif; // End have_posts() check. ?>

      <aside>
        <nav>
          <a class="button hollow" href="<?php  echo get_post_type_archive_link( 'archive_resource' ) ?>">back to resources</a>
        </nav>
        <?php /* Display navigation to next/previous pages when applicable */ ?>
        <?php
        if ( function_exists( 'foundationpress_pagination' ) ) :
          foundationpress_pagination();
          elseif ( is_paged() ) :
            ?>
            <nav id="post-nav">
              <div class="post-previous"><?php next_posts_link( __( '&larr; Older posts', 'foundationpress' ) ); ?></div>
              <div class="post-next"><?php previous_posts_link( __( 'Newer posts &rarr;', 'foundationpress' ) ); ?></div>
            </nav>
          <?php endif; ?>
        </aside>

		</main>
		<?php //get_template_part( 'template-parts/announcement' ); ?>

<?php get_footer();
